server.port=8081
server.tomcat.max-threads = 20
server.tomcat.max-connections = 10000
logging.file=/logs/spring-boot-logging.log
spring.profiles.active=devel
eu.eudat.logic.proxy.allowed.host=https://eestore.paas2.uninett.no

####################INVITATION MAIL CONFIGURATIONS##############
####################GENERIC MAIL CONFIGURATIONS#################
mail.subject=Invitation to DMP Plan {dmpname}
mail.from=opendmp-dev@cite.gr

####################SPRING MAIL CONFIGURATIONS#################
spring.mail.default-encoding=UTF-8
spring.mail.host=hermes.local.cite.gr
spring.mail.port=25
spring.mail.protocol=smtp
spring.mail.test-connection=false
spring.mail.properties.mail.smtp.auth=false
spring.mail.properties.mail.smtp.starttls.enable=false

####################CONFIGURATION FILES OVERRIDES CONFIGURATIONS##########
configuration.externalUrls=externalUrls/ExternalUrls.xml
configuration.rda=RDACommonStandards.txt
configuration.h2020template=documents/h2020.docx
configuration.configurable_login_providers=ConfigurableLoginProviders.json

#############LOGIN CONFIGURATIONS#########
#############GENERIC LOGIN CONFIGURATIONS#########
autouser.root.email=
autouser.root.password=
autouser.root.username=

#############FACEBOOK LOGIN CONFIGURATIONS#########
facebook.login.clientId=
facebook.login.clientSecret=
facebook.login.namespace=

#############GOOGLE LOGIN CONFIGURATIONS#########
google.login.clientId=

#############LINKEDIN LOGIN CONFIGURATIONS#########
linkedin.login.clientId=
linkedin.login.clientSecret=
linkedin.login.redirect_uri=http://opendmp.eu/login/linkedin
linkedin.login.user_info_url=https://api.linkedin.com/v2/me
linkedin.login.user_email=https://api.linkedin.com/v2/emailAddress?q=members&projection=(elements*(handle~))
linkedin.login.access_token_url=https://www.linkedin.com/uas/oauth2/accessToken

#############TWITTER LOGIN CONFIGURATIONS#########
twitter.login.clientId=
twitter.login.clientSecret=
twitter.login.redirect_uri=http://opendmp.eu/login/twitter

#############B2 ACCESS CONFIGURATIONS#########
b2access.externallogin.user_info_url=https://b2access-integration.fz-juelich.de:443/oauth2/userinfo
b2access.externallogin.access_token_url=https://b2access-integration.fz-juelich.de:443/oauth2/token
b2access.externallogin.redirect_uri=http://opendmp.eu/api/oauth/authorized/b2access
b2access.externallogin.clientid=
b2access.externallogin.clientSecret=

#############DYNAMIC PROJECT CONFIGURATIONS#########
project.configuration.project.name = Project
project.configuration.funder.name = Funder
project.configuration.grant.name = Grant

#############HTTP LOGGER DELAY CONFIGURATIONS#########
http-logger.initial-delay = 0
http-logger.delay = 10

##########################PERISTENCE##########################################
#############GENERIC DATASOURCE CONFIGURATIONS#########
database.driver-class-name=org.postgresql.Driver
database.lock-fail-interval=120000

##########################MISC##########################################
#############USER GUIDE#########
userguide.path=user-guide/

#############NOTIFICATION#########
notification.rateInterval=30000
notification.maxRetries=10
notification.modified.subject=[OpenDMP] The {name} has been modified
notification.publish.subject=[OpenDMP] The {name} has been published
notification.finalised.subject=[OpenDMP] The {name} has been finalised
notification.modifiedFinalised.subject=[OpenDMP] The {name} has been modified and finalised

#############LOGGING#########
logging.config=classpath:logging/logback-${spring.profiles.active}.xml

#############TEMP#########
temp.temp=tmp/

#############ZENODO#########
zenodo.affiliation=ARGOS
zenodo.community=argos